Skip to content

Timeline of specific type for device​

GET
/devices/{id}/timeline/{type}

Gets timeline data of a specific type for a device

You may also be interested in the "Chasm" endpoints for live modern messaging observability.

Various types will take differing times to respond, some will fail depending on the device data and patterns of data available.
Some types require elevated permissions to access, in which case you would receive an error.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Identifier of the device. Can be ID, IMEI, or Serial number. Use format 'id:1234', 'imei:139872149701', or 'serial:43000001'

Type
string
Required
type*

Timeline type (bootloader, activation, plans, devicemessage, datapoint, backendnote, pairing, sim)

Type
string
Required

Query Parameters

since

Only return events after this time (RFC3339). Defaults to 14 days ago.

Type
string
until

Only return events before this time (RFC3339). Defaults to now.

Type
string

Request Body​

application/json
JSON
{
}

Request example

Responses​

OK

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"description": "string",
  
  
  
"meta": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"timestamp": "string",
  
  
  
"type": "string"
  
  
}
  
],
  
"since": "string",
  
"until": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body